{% extends "base_template.html" %}
{% load static icon %}

{% block navbar %}
    <nav id="sidebar">
        <div class="sidebar-header">
            <a class="navbar-brand" href="{% url 'accueil' %}">
                <img src="{{ LOGO_NEGATIF_PNG.url }}"
                     style="height: 2em;">
            </a>
        </div>

        <ul class="list-unstyled components">
            <li class="{% block navbar_accueil %}{% endblock %}">
                <a href="{% url 'accueil' %}">
                    <i class="fas fa-home"></i>
                    Accueil
                </a>
            </li>

            {% if perms.utilisateur.acceder_materiel %}
                <li class="{% block navbar_materiel %}{% endblock %}">
                    <a href="#empruntSubmenu" data-toggle="collapse"
                       aria-expanded="false" class="dropdown-toggle">
                        {% icon "materiel" %} Emprunt Matériel
                    </a>
                    <ul class="collapse list-unstyled"
                        id="empruntSubmenu">
                        <li>
                            <a href="{% url 'emprunt' %}">Effectuer un emprunt</a>
                        </li>
                        {% if request.user.is_staff %}
                            <li>
                                <a href="{% url 'emprunt_gestion' %}">Gestion des emprunts</a>
                            </li>
                            <li>
                                <a href="{% url 'materiel' %}">Gestion du matériel</a>
                            </li>
                        {% endif %}
                        <li>
                            <a href="{% url 'mes_emprunts_materiel' %}">Mes Emprunts</a>
                        </li>
                    </ul>
                </li>
            {% endif %}

            {% if perms.utilisateur.acceder_local %}
                <li class="{% block navbar_local %}{% endblock %}">
                    <a href="#empruntLocalSubmenu" data-toggle="collapse"
                       aria-expanded="false" class="dropdown-toggle">
                        {% icon "local" %}
                        Emprunt Local
                    </a>
                    <ul class="collapse list-unstyled"
                        id="empruntLocalSubmenu">
                        <li>
                            <a href="{% url 'emprunt_local' %}">Effectuer un emprunt</a>
                        </li>
                        {% if request.user.is_staff %}
                            <li>
                                <a href="{% url 'local_gestion' %}">Gestion des emprunts</a>
                            </li>
                        {% endif %}
                        <li>
                            <a href="{% url 'mes_emprunts_local' %}">Mes Emprunts</a>
                        </li>
                    </ul>
                </li>
            {% endif %}

            {% if perms.utilisateur.acceder_projets %}
                <li class="{% block navbar_projets %}{% endblock %}">
                    <a href="{% url 'projet_liste' %}">
                        {% icon "projet" %} Projet
                    </a>
                </li>
            {% endif %}


            <li class="{% block navbar_compte %}{% endblock %}">
                <a href="#membresSubmenu" data-toggle="collapse"
                   aria-expanded="false" class="dropdown-toggle">
                    <i class="fas fa-user"></i> Membre
                </a>
                <ul class="collapse list-unstyled" id="membresSubmenu">
                    {% if request.user.is_staff %}
                        <li>
                            <a href="{% url 'admin_all_users' %}">Gestion des membres</a>
                        </li>
                    {% endif %}

                    {% if perms.utilisateur.acceder_membres %}
                        <li>
                            <a href="{% url 'administrators' %}">Membres du CA</a>
                        </li>
                        <li>
                            <a href="{% url 'all_users' %}">Tous les utilisateurs</a>
                        </li>
                    {% endif %}

                    {% if perms.utilisateur.represente_organisation %}
                        <li>
                            <a href="{% url 'mon_organisation' %}">Mon Organisation</a>
                        </li>
                    {% endif %}

                    <li>
                        <a href="{% url 'utilisateur' %}">Mon Profil</a>
                    </li>
                </ul>
            </li>

            {% if perms.utilisateur.acceder_demande_ndf %}
                <li class="{% block demande_ndf %}{% endblock %}">
                    <a href="{% url 'demande_note_de_frais' %}">
                        {% icon "treso" %} Mes notes de frais
                    </a>
                </li>
            {% endif %}

            {% if perms.utilisateur.acceder_treso %}
                <li class="{% block navbar_tresorerie %}{% endblock %}">
                    <a href="#tresoSubmenu" data-toggle="collapse"
                       aria-expanded="false" class="dropdown-toggle">
                        {% icon "treso" %} Trésorerie
                    </a>
                    <ul class="collapse list-unstyled" id="tresoSubmenu">
                        <li>
                            <a href="{% url 'treso' %}">Bilan</a>
                        </li>
                        <li>
                            <a href="{% url 'facture' %}">Générer une
                                facture</a>
                        </li>
                        <li>
                            <a href="{% url 'emprunts_facturables' %}">Générer
                                une facture d'emprunt</a>
                        </li>
                        <li>
                            <a href="{% url 'devis' %}">Générer un devis</a>
                        </li>
                        <li>
                            <a href="{% url 'note_de_frais' %}">Générer une
                                note de frais</a>
                        </li>
                        <li>
                            <a href="{% url 'grille_tarifaire' %}">Grille
                                tarifaire</a>
                        </li>
                        <li>
                            <a href="{% url 'client' %}">Liste des clients</a>
                        </li>
                    </ul>
                </li>
            {% endif %}

            {% if perms.utilisateur.acceder_passation %}
                <li class="{% block navbar_passation %}{% endblock %}">
                    <a href="{% url 'passation' %}">{% icon "passation" %}
                        Passation</a>
                </li>
            {% endif %}

            {% if perms.utilisateur.acceder_wiki %}
                <li class="{% block navbar_wiki %}{% endblock %}">
                    <a href="{% url 'documents_tous' %}">
                        <i class="fas fa-book"></i>
                        Wiki
                    </a>
                </li>
            {% endif %}

            <li class="{% block navbar_galerie %}{% endblock %}">
                {% if YOUTUBE_CHANNEL %}
                    <a href="{{ YOUTUBE_CHANNEL }}"
                       target="_blank">
                        <i class="fab fa-youtube"></i>
                        Youtube
                    </a>
                {% endif %}
                {% if FACEBOOK_ACCOUNT %}
                    <a href="{{ FACEBOOK_ACCOUNT }}"
                           target="_blank">
                        <i class="fab fa-facebook"></i>
                        Facebook
                    </a>
                {% endif %}
                {% if TWITTER_ACCOUNT %}
                    <a href="{{ TWITTER_ACCOUNT }}"
                       target="_blank">
                        <i class="fab fa-twitter"></i>
                        Twitter
                    </a>
                {% endif %}
                {% if INSTAGRAM_ACCOUNT %}
                    <a href="{{ INSTAGRAM_ACCOUNT }}"
                       target="_blank">
                        <i class="fab fa-instagram"></i>
                        Instagram
                    </a>
                {% endif %}
            </li>

            <li class="{% block navbar_contact %}{% endblock %}">
                <a href="mailto:{{ CONTACT_EMAIL }}">
                    <i class="fas fa-at"></i>
                    Contact
                </a>
            </li>

            {% if user.is_authenticated %}
                <li>
                    <a href="{% url 'deconnexion' %}">
                        <i class="fas fa-power-off {{ size }}"></i> Déconnexion
                    </a>
                </li>
            {% endif %}
        </ul>
    </nav>
{% endblock %}

{% block top_navbar %}

    <nav class="navbar navbar-expand-lg navbar-light" id="navbar-top">
        <div class="container-fluid">
            <a class="navbar-brand" href="{% url 'accueil' %}">
                <img src="{{ LOGO_NEGATIF_PNG.url }}"
                     style="height: 2em;">
            </a>

            <button type="button" id="sidebarCollapse"
                    class="btn btn-info ml-auto">
                <i class="fas fa-align-left"></i>
            </button>
        </div>
    </nav>


{% endblock %}